import vault.*;
import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Populator extends JFrame
{
	Dimension scrSize,frSize;
	Populator(String command,String runDir)
	{
		super("Run Portal");
		setVisible(true);
		scrSize=Toolkit.getDefaultToolkit().getScreenSize();
		//setSize(700,700);
		setBounds(50,50,scrSize.width-100,scrSize.height-100);
		Container content=getContentPane();

		
		if(command.equals("anadock"))
		{
			anadock comm=new anadock(content,runDir);
		}
		if(command.equals("cdist"))
		{
			cdist comm=new cdist(content,runDir);
		}
		if(command.equals("disco"))
		{
			disco comm=new disco(content,runDir);
		}
		if(command.equals("do_dssp"))
		{
			do_dssp comm=new do_dssp(content,runDir);
		}
		if(command.equals("editconf"))
		{
			editconf comm=new editconf(content,runDir);
		}
		if(command.equals("eneconv"))
		{
			eneconv comm=new eneconv(content,runDir);
		}
		if(command.equals("ffscan"))
		{
			ffscan comm=new ffscan(content,runDir);
		}
		if(command.equals("g_anaeig"))
		{
			g_anaeig comm=new g_anaeig(content,runDir);
		}
		if(command.equals("g_analyze"))
		{
			g_analyze comm=new g_analyze(content,runDir);
		}
		if(command.equals("g_angle"))
		{
			g_angle comm=new g_angle(content,runDir);
		}
		if(command.equals("g_bond"))
		{
			g_bond comm=new g_bond(content,runDir);
		}
		if(command.equals("g_bundle"))
		{
			g_bundle comm=new g_bundle(content,runDir);
		}
		if(command.equals("g_chi"))
		{
			g_chi comm=new g_chi(content,runDir);
		}
		if(command.equals("g_cluster"))
		{
			g_cluster comm=new g_cluster(content,runDir);
		}
		if(command.equals("g_clustsize"))
		{
			g_clustsize comm=new g_clustsize(content,runDir);
		}
		if(command.equals("g_confrms"))
		{
			g_confrms comm=new g_confrms(content,runDir);
		}
		if(command.equals("g_covar"))
		{
			g_covar comm=new g_covar(content,runDir);
		}
		if(command.equals("g_density"))
		{
			g_density comm=new g_density(content,runDir);
		}
		if(command.equals("g_densmap"))
		{
			g_densmap comm=new g_densmap(content,runDir);
		}
		if(command.equals("g_dielectric"))
		{
			g_dielectric comm=new g_dielectric(content,runDir);
		}
		if(command.equals("g_dih"))
		{
			g_dih comm=new g_dih(content,runDir);
		}
		if(command.equals("g_dipoles"))
		{
			g_dipoles comm=new g_dipoles(content,runDir);
		}
		if(command.equals("g_disre"))
		{
			g_disre comm=new g_disre(content,runDir);
		}
		if(command.equals("g_dist"))
		{
			g_dist comm=new g_dist(content,runDir);
		}
		if(command.equals("g_dyndom"))
		{
			g_dyndom comm=new g_dyndom(content,runDir);
		}
		if(command.equals("genbox"))
		{
			genbox comm=new genbox(content,runDir);
		}
		if(command.equals("genconf"))
		{
			genconf comm=new genconf(content,runDir);
		}
		if(command.equals("g_enemat"))
		{
			g_enemat comm=new g_enemat(content,runDir);
		}
		if(command.equals("g_energy"))
		{
			g_energy comm=new g_energy(content);
		}
		if(command.equals("genion"))
		{
			genion comm=new genion(content,runDir);
		}
		if(command.equals("genpr"))
		{
			genpr comm=new genpr(content,runDir);
		}
		if(command.equals("g_filter"))
		{
			g_filter comm=new g_filter(content,runDir);
		}
		if(command.equals("g_gyrate"))
		{
			g_gyrate comm=new g_gyrate(content,runDir);
		}
		if(command.equals("g_h2order"))
		{
			g_h2order comm=new g_h2order(content,runDir);
		}
		if(command.equals("g_hbond"))
		{
			g_hbond comm=new g_hbond(content,runDir);
		}
		if(command.equals("g_helix"))
		{
			g_helix comm=new g_helix(content,runDir);
		}
		if(command.equals("g_lie"))
		{
			g_lie comm=new g_lie(content,runDir);
		}
		if(command.equals("g_mdmat"))
		{
			g_mdmat comm=new g_mdmat(content,runDir);
		}
		if(command.equals("g_mindist"))
		{
			g_mindist comm=new g_mindist(content,runDir);
		}
		if(command.equals("g_morph"))
		{
			g_morph comm=new g_morph(content,runDir);
		}
		if(command.equals("g_msd"))
		{
			g_msd comm=new g_msd(content,runDir);
		}
		if(command.equals("gmxcheck"))
		{
			gmxcheck comm=new gmxcheck(content,runDir);
		}
		if(command.equals("gmxdump"))
		{
			gmxdump comm=new gmxdump(content,runDir);
		}
		if(command.equals("g_nmeig"))
		{
			g_nmeig comm=new g_nmeig(content,runDir);
		}
		if(command.equals("g_nmens"))
		{
			g_nmens comm=new g_nmens(content,runDir);
		}
		if(command.equals("g_nmtraj"))
		{
			g_nmtraj comm=new g_nmtraj(content,runDir);
		}
		if(command.equals("g_order"))
		{
			g_order comm=new g_order(content,runDir);
		}
		if(command.equals("g_potential"))
		{
			g_potential comm=new g_potential(content,runDir);
		}
		if(command.equals("g_rama"))
		{
			g_rama comm=new g_rama(content,runDir);
		}
		if(command.equals("g_rdf"))
		{
			g_rdf comm=new g_rdf(content,runDir);
		}
		if(command.equals("g_rms"))
		{
			g_rms comm=new g_rms(content,runDir);
		}
		if(command.equals("g_rmsdist"))
		{
			g_rmsdist comm=new g_rmsdist(content,runDir);
		}
		if(command.equals("g_rmsf"))
		{
			g_rmsf comm=new g_rmsf(content,runDir);
		}
		if(command.equals("grompp"))
		{
			grompp comm=new grompp(content,runDir);
		}
		if(command.equals("g_rotacf"))
		{
			g_rotacf comm=new g_rotacf(content,runDir);
		}
		if(command.equals("g_saltbr"))
		{
			g_saltbr comm=new g_saltbr(content,runDir);
		}
		if(command.equals("g_sas"))
		{
			g_sas comm=new g_sas(content,runDir);
		}
		if(command.equals("g_sgangle"))
		{
			g_sgangle comm=new g_sgangle(content,runDir);
		}
		if(command.equals("g_sham"))
		{
			g_sham comm=new g_sham(content,runDir);
		}
		if(command.equals("g_sorient"))
		{
			g_sorient comm=new g_sorient(content,runDir);
		}
		if(command.equals("g_tcaf"))
		{
			g_tcaf comm=new g_tcaf(content,runDir);
		}
		if(command.equals("g_traj"))
		{
			g_traj comm=new g_traj(content,runDir);
		}
		if(command.equals("g_velacc"))
		{
			g_velacc comm=new g_velacc(content,runDir);
		}
		if(command.equals("g_wham"))
		{
			g_wham comm=new g_wham(content,runDir);
		}
		if(command.equals("highway"))
		{
			highway comm=new highway(content,runDir);
		}
		if(command.equals("mdrun"))
		{
			mdrun comm=new mdrun(content,runDir);
		}
		if(command.equals("mk_angndx"))
		{
			mk_angndx comm=new mk_angndx(content,runDir);
		}
		if(command.equals("ngmx"))
		{
			ngmx comm=new ngmx(content,runDir);
		}
		if(command.equals("pdb2gmx"))
		{
			if((new File(System.getProperty("GMXLIB")+"/FF.dat")).exists())
			{
				pdb2gmx comm=new pdb2gmx(content,runDir);
			}
			else
			{
				JOptionPane.showMessageDialog(this,"Please start a new project or open an existing project and set a proper path for GMXLIB before you proceed.","Error",JOptionPane.ERROR_MESSAGE);
			}
		}
		if(command.equals("protonate"))
		{
			protonate comm=new protonate(content,runDir);
		}
		if(command.equals("tpbconv"))
		{
			tpbconv comm=new tpbconv(content,runDir);
		}
		if(command.equals("trjcat"))
		{
			trjcat comm=new trjcat(content,runDir);
		}
		if(command.equals("trjconv"))
		{
			trjconv comm=new trjconv(content,runDir);
		}
		if(command.equals("trjorder"))
		{
			trjorder comm=new trjorder(content,runDir);
		}
		if(command.equals("wheel"))
		{
			wheel comm=new wheel(content,runDir);
		}
		if(command.equals("x2top"))
		{
			x2top comm=new x2top(content,runDir);
		}
		if(command.equals("xpm2ps"))
		{
			xpm2ps comm=new xpm2ps(content,runDir);
		}
		if(command.equals("xrama"))
		{
			xrama comm=new xrama(content,runDir);
		}
	}
}
