import simulator.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.io.*;
import java.util.*;
import java.lang.*;
public class guisim extends JFrame
{
	display d=new display();
	pdb2gmx pg;
	editconf ec;
	genbox gb;
	grompp gp;
	genion gi;
	mdrun md;
	mdrun_mpi mp;
	public guisim(Container content, Dimension frSize, String runDir)
	{
		final JScrollPane pgmx=new JScrollPane();
		final JScrollPane ecnf=new JScrollPane();
		final JScrollPane gbox=new JScrollPane();
		final JScrollPane grmpp=new JScrollPane();
		final JScrollPane gion=new JScrollPane();
		final JScrollPane mrun=new JScrollPane();
		final JScrollPane mrunmpi=new JScrollPane();
		
		content.setLayout(new BoxLayout(content,BoxLayout.Y_AXIS));
		content.add(Box.createRigidArea(new Dimension(0,5)));
		JTabbedPane jtPane=new JTabbedPane();
		jtPane.addTab("pdb2gmx",pgmx);
		jtPane.addTab("editconf",ecnf);
		jtPane.addTab("genbox",gbox);
		jtPane.addTab("grompp",grmpp);
		jtPane.addTab("genion",gion);
		jtPane.addTab("mdrun",mrun);
		jtPane.addTab("mdrun_mpi",mrunmpi);
		content.add(jtPane);
		content.add(Box.createRigidArea(new Dimension(0,5)));
		pg=new pdb2gmx(pgmx,frSize,runDir);
		ec=new editconf(ecnf,frSize,runDir);
		gb=new genbox(gbox,frSize,runDir);
		gp=new grompp(grmpp,frSize,runDir);
		gi=new genion(gion,frSize,runDir);
		md=new mdrun(mrun,frSize,runDir);
		mp=new mdrun_mpi(mrunmpi,frSize,runDir);
		jtPane.addChangeListener(new ChangeListener() {
			public void stateChanged(ChangeEvent evt) {
				JTabbedPane jtPane=(JTabbedPane)evt.getSource();
				int sel=jtPane.getSelectedIndex();
				if(sel==1){
					ec.textboxes[0].setText(pg.textboxes[1].getText().trim());
					if(pg.textboxes[1].getText().trim().length()!=0){
						ec.checkboxes[0].setSelected(true);
					}
				}
				if(sel==2){
					gb.textboxes[0].setText(ec.textboxes[2].getText().trim());
					if(ec.textboxes[2].getText().trim().length()!=0){
						gb.checkboxes[0].setSelected(true);
					}
				}
				if(sel==3){
					gp.textboxes[2].setText(gb.textboxes[3].getText().trim());
					if(gb.textboxes[3].getText().trim().length()!=0){
						gp.checkboxes[2].setSelected(true);
					}
				}
				if(sel==4){
					gi.textboxes[0].setText(gp.textboxes[9].getText().trim());
					if(gp.textboxes[9].getText().trim().length()!=0){
						gi.checkboxes[0].setSelected(true);
					}
				}
				if(sel==5){
					md.textboxes[0].setText(gp.textboxes[9].getText().trim());
					if(gp.textboxes[9].getText().trim().length()!=0){
						md.checkboxes[0].setSelected(true);
					}
				}
			}
		});
	}
	public static void main(String[] args){}
}
